function dYfuncvecdt = ODEfun(t,Yfuncvec); 
Ca= Yfuncvec(1);
Cb= Yfuncvec(2);
Cc= Yfuncvec(3);
Cd= Yfuncvec(4);
Ce= Yfuncvec(5);
Ch= Yfuncvec(6);
Cf= Yfuncvec(7);
Ck= Yfuncvec(8);
% Explicit equations
k1 =1.485;  
k2 =0.1485; 
k3 =0.00891;
k5 =0.00111;
r5 =k5*Ck;  
QY = 12964; % quantum yield (overall height)
r3 = k3*Cf*Ce;
rEMIT =r3*QY;  %light as a function of time
r1 = k1*Ca*Cb;   
r2 = k2*Cd;   
% Differential equations
dCadt = -r1; % tcpo
dCbdt = -r1;  % h2o2
dCcdt = (r1+r2);% PhOH
dCddt = (r1-r2); % peroxyacid
dCedt = (r2-r3); % 1,2-dioxetanedione
dChdt =  2*r3;% CO2
dCfdt =  r5-r3;% dye
dCkdt =  r3-r5; % complex
dYfuncvecdt=[dCadt;dCbdt;dCcdt;dCddt;dCedt;dChdt;dCfdt;dCkdt];



